# spotDeployState

Get the spot deploy state for a user.

## POST Request

<table><thead><tr><th width="161.9998779296875">Field</th><th width="119">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>type</code></td><td>string</td><td>Must be <code>"spotDeployState"</code></td></tr><tr><td><code>user</code></td><td>string</td><td>Ethereum address (0x-prefixed, 42 characters)</td></tr></tbody></table>

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST https://api.hydromancer.xyz/info \
  -H "Authorization: Bearer $HYDROMANCER_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "spotDeployState",
    "user": "0x0000000000000000000000000000000000000000"
  }'
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import os

response = requests.post(
    'https://api.hydromancer.xyz/info',
    json={
        'type': 'spotDeployState',
        'user': '0x0000000000000000000000000000000000000000'
    },
    headers={
        'Authorization': f'Bearer {os.environ.get("HYDROMANCER_API_KEY")}',
        'Content-Type': 'application/json'
    }
)

print(response.json())
```

{% endtab %}

{% tab title="Javascript" %}

```javascript
import axios from 'axios';

try {
    const response = await axios.post('https://api.hydromancer.xyz/info', {
        type: 'spotDeployState',
        user: '0x0000000000000000000000000000000000000000'
    }, {
        headers: {
            'Authorization': `Bearer ${process.env.HYDROMANCER_API_KEY}`,
            'Content-Type': 'application/json'
        }
    });

    console.log(response.data);
} catch (error) {
    console.error('Error:', error.message);
}
```

{% endtab %}
{% endtabs %}

***

## Response Fields

| Field                                   | Type    | Description                               |
| --------------------------------------- | ------- | ----------------------------------------- |
| `states`                                | array   | List of spot deploy states                |
| `states[].token`                        | int     | Token index                               |
| `states[].spec`                         | object  | Token spec                                |
| `states[].spec.name`                    | string  | Token name                                |
| `states[].spec.szDecimals`              | int     | Size decimals                             |
| `states[].spec.weiDecimals`             | int     | Wei decimals                              |
| `states[].fullName`                     | string  | Full token name                           |
| `states[].spots`                        | array   | Spot pair indices                         |
| `states[].maxSupply`                    | int     | Maximum supply                            |
| `states[].hyperliquidityGenesisBalance` | string  | Hyperliquidity genesis balance            |
| `states[].totalGenesisBalanceWei`       | string  | Total genesis balance in wei              |
| `states[].userGenesisBalances`          | array   | List of \[address, balance] pairs         |
| `states[].existingTokenGenesisBalances` | array   | List of \[tokenIndex, balance] pairs      |
| `gasAuction`                            | object  | Gas auction state                         |
| `gasAuction.startTimeSeconds`           | int     | Auction start time (unix seconds)         |
| `gasAuction.durationSeconds`            | int     | Auction duration in seconds               |
| `gasAuction.startGas`                   | string  | Starting gas price                        |
| `gasAuction.currentGas`                 | string? | Current gas price (null if auction ended) |
| `gasAuction.endGas`                     | string  | Ending gas price                          |

<details>

<summary>Response (truncated)</summary>

```json
{
    "states": [
        {
            "token": 150,
            "spec": {
                "name": "HYPE",
                "szDecimals": 2,
                "weiDecimals": 8
            },
            "fullName": "Hyperliquid",
            "spots": [107],
            "maxSupply": 1000000000,
            "hyperliquidityGenesisBalance": "120000",
            "totalGenesisBalanceWei": "100000000000000000",
            "userGenesisBalances": [],
            "existingTokenGenesisBalances": []
        }
    ],
    "gasAuction": {
        "startTimeSeconds": 1733929200,
        "durationSeconds": 111600,
        "startGas": "181305.90046",
        "currentGas": null,
        "endGas": "181291.247358"
    }
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hydromancer.xyz/readme/rest-api/token-deployment/spotdeploystate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
